tigase.jaxmpp.core.client.xmpp.modules.omemo

## Class XmppOMEMOSession

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.omemo.XmppOMEMOSession

-     public class XmppOMEMOSession
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDeviceCipher(org.whispersystems.libsignal.SignalProtocolAddress addr, org.whispersystems.libsignal.SessionCipher sessionCipher)`
    `void` | `addDeviceCipher(org.whispersystems.libsignal.state.SignalProtocolStore store, org.whispersystems.libsignal.SignalProtocolAddress address)`
    `boolean` | `equals(Object o)`
    `Map<org.whispersystems.libsignal.SignalProtocolAddress,org.whispersystems.libsignal.SessionCipher>` | `getDeviceCiphers()`
    `BareJID` | `getJid()`
    `boolean` | `hasCiphers()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### hasCiphers

          public boolean hasCiphers()

    - #### getDeviceCiphers

          public Map<org.whispersystems.libsignal.SignalProtocolAddress,org.whispersystems.libsignal.SessionCipher> getDeviceCiphers()

    - #### getJid

          public BareJID getJid()

    - #### addDeviceCipher

          public void addDeviceCipher(org.whispersystems.libsignal.SignalProtocolAddress addr,
                                      org.whispersystems.libsignal.SessionCipher sessionCipher)

    - #### addDeviceCipher

          public void addDeviceCipher(org.whispersystems.libsignal.state.SignalProtocolStore store,
                                      org.whispersystems.libsignal.SignalProtocolAddress address)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 Tigase. All rights reserved.